Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F147049189
D50941.id157374.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
990 B
Referenced Files
None
Subscribers
None
D50941.id157374.diff
View Options
Index: usr.sbin/bsdinstall/scripts/firmware
===================================================================
--- usr.sbin/bsdinstall/scripts/firmware
+++ usr.sbin/bsdinstall/scripts/firmware
@@ -115,11 +115,23 @@
${DIALOG} --title "$DIALOG_TITLE" --backtitle "$DIALOG_BACKTITLE" \
--infobox "Installing firmware. This may take a moment." 0 0
+pkg_install_fail=
# Install each of the selected firmware packages
for fw in ${selected}; do
# We install one at a time in case one is not avail.
# pkg-install.8 needs an option to skip unavail.
ASSUME_ALWAYS_YES=YES chroot $BSDINSTALL_CHROOT pkg install -qy ${fw}
+ if [ $? -ne 0 ]; then
+ pkg_install_fail="$pkg_install_fail $fw"
+ fi
done
+if [ $pkg_install_fail ]; then
+ # Error(s) were likely spammed to the console; give the user a moment
+ # to read them.
+ sleep 5
+ bsddialog --backtitle "$OSNAME Installer" --title "Error" \
+ --msgbox "Error fetching firmware file(s)$pkg_install_fail" 0 0
+ exit 1
+fi
# end
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Sun, Mar 8, 9:54 PM (16 h, 47 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
29419761
Default Alt Text
D50941.id157374.diff (990 B)
Attached To
Mode
D50941: bsdinstall: Report error from installing firmware
Attached
Detach File
Event Timeline
Log In to Comment